Subject: RE: More on relative pathname
From: [email-masked] (Bernard Dautrevaux)

18 Jan 1999 07:23:53 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: "'Gordon Watts (Brown University)'" <[email-masked]>,
        Bernard Dautrevaux <[email-masked]>,
        gnu-win cygnus mailing list <[email-masked]>

> -----Message d'origine-----
> De:	Gordon Watts (Brown University) [SMTP:[email-masked]]
> Date:	mercredi 13 janvier 1999 18:10
> À:	Bernard Dautrevaux; gnu-win cygnus mailing list
> Objet:	RE: More on relative pathname
> 
> Taking the suggestion of Earnie Boyd, I replaced the #!/bin/sh in my
> sample
> script with #!/bin/bash. Now the relative path names work fine.
> Unfortunately, I can't make this change in all the code I'm running
> (this is
> a port with a common source base), so I still need to get sh to work
> correctly, but it is an interesting data point, none the less. Would
> this
> indicate a problem in sh or in the cygwin dll below it? I guess it
> depends
> upon how sh invokes sub-shells.
> 
My be would be an ash bug... as bash seems to work OK; if you can't
change your scripts to call bash instead of /bin/sh, then perhaps could
you just copy bash over /bin/sh (which should be an ash copy...). I
don't know if there is any reason to avoid it (except perhaps that bash
is quite bigger than ash, and such may slow a bit makes that spawn a lot
of /bin/sh...)

	Regards,
		Bernard

> ----------------------------------------------------------------------
> --
> Bernard Dautrevaux
> Microprocess Ingéniérie
> 97 bis, rue de Colombes
> 92400 COURBEVOIE
> FRANCE
> Tel:	+33 (0) 1 47 68 80 80
> Fax:	+33 (0) 1 47 88 97 85
> e-mail:	[email-masked]
> 	[email-masked]
> ----------------------------------------------------------------------
> --
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".